# MSP::CCS::USNG Class Reference

`#include <USNG.h>`

Inheritance diagram for MSP::CCS::USNG:

List of all members.

## Public Member Functions

| USNG (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, char *ellipsoidCode)
| USNG (const USNG &u)
| ~USNG (void)
USNG & | operator= (const USNG &u)
EllipsoidParameters * | getParameters () const
MSP::CCS::MGRSorUSNGCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates, long precision)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MGRSorUSNGCoordinates *mgrsCoordinates)
MSP::CCS::MGRSorUSNGCoordinates * | convertFromUTM (UTMCoordinates *utmCoordinates, long precision)
MSP::CCS::UTMCoordinates * | convertToUTM (MSP::CCS::MGRSorUSNGCoordinates *mgrsorUSNGCoordinates)
MSP::CCS::MGRSorUSNGCoordinates * | convertFromUPS (MSP::CCS::UPSCoordinates *upsCoordinates, long precision)
MSP::CCS::UPSCoordinates * | convertToUPS (MSP::CCS::MGRSorUSNGCoordinates *mgrsorUSNGCoordinates)

## Detailed Description

Definition at line 100 of file USNG.h.

## Constructor & Destructor Documentation

USNG::USNG | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | char * | ellipsoidCode |
| ) |  |  |

Definition at line 397 of file USNG.cpp.

USNG::USNG | ( | const USNG & | u | ) |

Definition at line 439 of file USNG.cpp.

USNG::~USNG | ( | void |  | ) |

Definition at line 450 of file USNG.cpp.

## Member Function Documentation

MSP::CCS::MGRSorUSNGCoordinates * USNG::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 491 of file USNG.cpp.

MSP::CCS::MGRSorUSNGCoordinates * USNG::convertFromUPS | ( | MSP::CCS::UPSCoordinates * | upsCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 696 of file USNG.cpp.

MSP::CCS::MGRSorUSNGCoordinates * USNG::convertFromUTM | ( | UTMCoordinates * | utmCoordinates,
|  | long | precision |
| ) |  |  |

Definition at line 589 of file USNG.cpp.

MSP::CCS::GeodeticCoordinates * USNG::convertToGeodetic | ( | MSP::CCS::MGRSorUSNGCoordinates * | mgrsCoordinates | ) |

Definition at line 547 of file USNG.cpp.

MSP::CCS::UPSCoordinates * USNG::convertToUPS | ( | MSP::CCS::MGRSorUSNGCoordinates * | mgrsorUSNGCoordinates | ) |

Definition at line 756 of file USNG.cpp.

MSP::CCS::UTMCoordinates * USNG::convertToUTM | ( | MSP::CCS::MGRSorUSNGCoordinates * | mgrsorUSNGCoordinates | ) |

Definition at line 650 of file USNG.cpp.

EllipsoidParameters * USNG::getParameters | ( |  | ) | const

Definition at line 476 of file USNG.cpp.

USNG & USNG::operator= | ( | const USNG & | u | ) |

Definition at line 460 of file USNG.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/usng/USNG.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/usng/USNG.cpp